Subject: Re: [PATCH 2/2] git wrapper: execute git-shell when argv[1] is '-c'

From: Tommi Virtanen <[email-masked]>
Date: Tue, 26 Aug 2008 00:03:45 +0300

On Mon, Aug 25, 2008 at 10:52:46PM +0200, Johannes Schindelin wrote:
> When a program is called via ssh's '-c' option, the login shell is called 
> on the remote computer, with the given arguments.  In the case that Git 
> was specified as login shell in /etc/passwd, Git used to complain that it 
> does not know the '-c' option and die.
> 
> This commit assumes that '-c' indicates that Git was specified as
> a login shell, and hands off to git-shell.
> 
> Noticed by Tommi Virtanen.

My imagination is insufficient in coming up with an uglier kludge, and
I sincerely hope my name isn't associated with this in any way.

-- 
:(){ :|:&};: